#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
# Copyright (C) 2013  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:		qubes-gui-common-devel
Version:	4.2.4
Release:	1%{?dist}
Summary:	Common files for Qubes GUI - protocol headers

Group:		Qubes
License:	GPL
URL:		http://www.qubes-os.org

Source0: %{name}-%{version}.tar.gz

%description
Protocol description headers for Qubes GUI

%prep

%setup -q

%install
mkdir -p %{buildroot}/usr/include
cp include/*.h %{buildroot}/usr/include/

%files
%defattr(644,root,root,-)
/usr/include/qubes-gui-protocol.h
/usr/include/qubes-xorg-tray-defs.h

%changelog
* Tue Apr 25 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-gui-common

* Tue Apr 25 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 215db8b
- version 4.2.4

* Tue Apr 25 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7ec31ee
- archlinux: support for new packaging in legacy builder

* Sun Apr 02 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5deb44c
- Rework Archlinux packaging

* Wed Mar 01 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 59aa119
- version 4.2.3

* Wed Mar 01 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6b6d10d
- Actually bump protocol version to 1.7

* Wed Mar 01 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fc84712
- Add QUBES_GUID_MIN_MSG_WINDOW_DUMP_ACK

* Thu Feb 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 21fab27
- version 4.2.2

* Mon Feb 13 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 0ff02b8
- Document changes in v1.7

* Mon Feb 13 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 41c3e1a
- Document changes in v1.6

* Sat Jan 21 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 2f98455
- X and Y coordinates are signed

* Sat Jan 21 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 8bcc8cd
- Add a macro for maximum size of MSG_WINDOW_DUMP.

* Sat Jan 21 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 81f7a9b
- Mark protocol structs as may-alias

* Wed Dec 28 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 32935ab
- Add initial version history

* Wed Oct 12 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3e268ee
- version 4.2.1

* Wed Oct 12 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4cfaddd
- version 4.2.0

* Sat Aug 13 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 75d4e38
- Protocol changes in version 1.5

* Sat Aug 13 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 6f1fc19
- Bump version to 1.4

* Sat Aug 13 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 5eb52b2
- Replace "VM" with "Agent" and "Dom0" with "Daemon"

* Sat Aug 13 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - c002d09
- Document that msg_xconf has no header

* Fri Jul 08 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 7c25122
- Bump version to 1.4

* Sun Jul 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - a93ea8b
- Replace "VM" with "Agent" and "Dom0" with "Daemon"

* Sun Jul 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 5c4d027
- Document that msg_xconf has no header

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c085ec8
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 25 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 750ec3b
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - df654ae
- Drop Travis CI

* Mon Mar 21 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d39f057
- ci: build on windows too

* Tue Nov 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 63a02a9
- Revert "Add a QUBES_ARRAY_SIZE macro"

* Wed Jun 02 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - c5aaeb4
- Use a flexible array member in struct shm_cmd

* Wed Jun 02 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - b33780f
- Add a QUBES_ARRAY_SIZE macro

* Wed Jun 02 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 95e1d18
- Avoid using reserved identifiers for macros

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - dca64b9
- Add .gitlab-ci.yml

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 71b6e40
- Update travis

* Sat Apr 04 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2a0dee3
- version 4.1.1

* Fri Mar 27 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 900f592
- Introduce MSG_CURSOR (VM to GUI)

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e22bc16
- travis: switch to bionic

* Wed Feb 27 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4fbd878
- version 4.1.0

* Thu Feb 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4f720ab
- Fix indentation

* Wed May 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - be12992
- version 4.0.2

* Wed May 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4dd64ea
- travis: add centos7

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b81c2ce
- travis: update fedora versions

* Thu Apr 05 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 79d7bf1
- spec.in: add changelog placeholder

* Thu Apr 05 2018 Frédéric Pierret <frederic.epitre@orange.fr> - a42e0b9
- Create .spec.in and Source0

* Fri Feb 16 2018 Simon Gaiser <simon@invisiblethingslab.com> - 2ee7da4
- New protocol version 1.2

* Tue Sep 26 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 830c5fb
- version 4.0.1

* Mon Sep 25 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b2ad814
- Fix link to documentation

* Sun Apr 09 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4a8e34e
- version 4.0.0

* Sun Apr 09 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6904c98
- travis: update for Qubes 4.0

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - da292a0
- travis: drop debootstrap workaround

* Thu Jun 02 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9d7a6c5
- travis: initial version

* Thu May 05 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 86efcce
- version 3.2.0

